/* $Id: detmon.h,v 1.3 2013-01-25 16:08:41 jtaylor Exp $
 *
 * This file is part of the irplib package
 * Copyright (C) 2002, 2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1307 USA
 */

/*
 * $Author: jtaylor $
 * $Date: 2013-01-25 16:08:41 $
 * $Revision: 1.3 $
 * $Name: not supported by cvs2svn $
 */

#ifndef IRPLIB_DETMON_PERNOISE_H
#define IRPLIB_DETMON_PERNOISE_H

/*----------------------------------------------------------------------------
                                   Includes
 ----------------------------------------------------------------------------*/

#include <cpl.h>

/*----------------------------------------------------------------------------
                                   Defines
 ----------------------------------------------------------------------------*/


#define DETMON_QC_FREQ       "ESO QC FREQ"
#define DETMON_QC_FREQ_C     "Spectrum frequency"

#define DETMON_QC_POW       "ESO QC POW"
#define DETMON_QC_POW_C     "Spectrum power"


#define detmon_pernoise_get_description(RECIPE_NAME, PIPE_NAME,         \
                                              DETMON_PERNOISE_RAW)             \
    RECIPE_NAME " -- " PIPE_NAME " Recipe for Periodic Noise Characterisation.\n"            \
    "The files listed in the Set Of Frames must be tagged:\n"                  \
    "raw-file.fits  "DETMON_PERNOISE_RAW"\n"

/*----------------------------------------------------------------------------
                                   Prototypes
 ----------------------------------------------------------------------------*/

cpl_error_code
detmon_fill_pernoise_params(cpl_parameterlist *,
                                   const char *,
                                   const char *,
                                   int mode,
                                   const char *direction,
                                   double speed,
                                   int llx,
                                   int lly,
                                   int urx,
                                   int ury,
                                   double kappa,
                                   int exts);

int detmon_fill_pernoise_params_default(cpl_parameterlist        *,
                              const char        *,
                              const char        *);

cpl_error_code
detmon_pernoise(cpl_frameset      *,
                      const cpl_parameterlist *,
                      const char        *,
                      const char        *,
                      const char        *,
                      const char        *,
                      const char        *,
                      int              (*)(const cpl_frame *,
                                           const cpl_frame *));

cpl_table *
detmon_pernoise_reduce(cpl_image       *);


#endif
