/*
 * This file is part of the DETMON Pipeline
 * Copyright (C) 2013 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA
 */

/*
 * $Author: jtaylor $
 * $Date: 2013-08-07 09:32:50 $
 * $Revision: 1.6 $
 */
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/*----------------------------------------------------------------------------
                             Includes
 ----------------------------------------------------------------------------*/

#include "detmon.h"
#include "detmon_lg.h"

/*----------------------------------------------------------------------------
                             Defines
 ----------------------------------------------------------------------------*/

#define RECIPE_NAME "detmon_ir_lg_mr"

#define NIR TRUE

/*----------------------------------------------------------------------------
				Functions prototypes
 ----------------------------------------------------------------------------*/
int
detmon_lg_dfs_set_groups(cpl_frameset * set,
                         const char *tag_on, const char *tag_off);

CPL_RECIPE_DEFINE(detmon_ir_lg_mr, DETMON_BINARY_VERSION,
                     detmon_lg_fill_parlist_nir_default_mr(recipe->parameters,
                                               RECIPE_NAME, "detmon"),
                     "Julian Taylor", PACKAGE_BUGREPORT, "2013",
                     "Linearity/Gain recipe for the IR domain, multi "
                     "region version",
                     detmon_lg_get_description(RECIPE_NAME, "DETMON",
					       DETMON_LG_ON_RAW_NEW,
					       DETMON_LG_OFF_RAW_NEW,
					       DETMON_LG_ON_RAW_OLD,
					       DETMON_LG_OFF_RAW_OLD));
/**@{*/

static int detmon_ir_lg_mr(cpl_frameset            * frameset,
                           const cpl_parameterlist * parlist)
{
    return detmon_lg_mr(frameset, parlist, RECIPE_NAME, NIR);
}

/**@}*/
