/* $Id: detmon_pernoise.c,v 1.4 2013-01-29 08:56:40 jtaylor Exp $
 *
 * This file is part of the DETMON Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA
 */

/*
 * $Author: jtaylor $
 * $Date: 2013-01-29 08:56:40 $
 * $Revision: 1.4 $
 * $Name: not supported by cvs2svn $
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/*----------------------------------------------------------------------------
                             Includes
 ----------------------------------------------------------------------------*/

#include "detmon_pernoise.h"

/*----------------------------------------------------------------------------
                             Defines
 ----------------------------------------------------------------------------*/

/* Define here the DO.CATG keywords */
#define DETMON_PERNOISE_RAW                    "RAW"

#define RECIPE_NAME "detmon_pernoise"

/*----------------------------------------------------------------------------
				Functions prototypes
 ----------------------------------------------------------------------------*/

CPL_RECIPE_DEFINE(detmon_per_noise, DETMON_BINARY_VERSION,
                     detmon_fill_pernoise_params_default(recipe->parameters,
                                                       "detmon_pernoise",
                                                       "detmon"),
                     "Lander de Bilbao", PACKAGE_BUGREPORT, "2007", 
                     "Periodic Noise Characterisation recipe",
                     detmon_pernoise_get_description("detmon_pernoise",
                                                           "DETMON",
                                                           DETMON_PERNOISE_RAW));
/**@{*/
/*---------------------------------------------------------------------------*/
/*
  @brief    Interpret the command line options and execute the data processing
  @param    frameset    the frames list
  @param    parlist     the parameters list
  @return   0 if everything is ok
 */
/*---------------------------------------------------------------------------*/

static int detmon_per_noise(cpl_frameset            * frameset,
                          const cpl_parameterlist * parlist)
{
    const cpl_error_code error = detmon_pernoise(frameset,
                                                       parlist,
                                                       DETMON_PERNOISE_RAW,
                                                       RECIPE_NAME,
                                                       PACKAGE_TARNAME,
                                                       "FREQ_TABLE",
                                                       PACKAGE "/" PACKAGE_VERSION,
                                                       NULL);

    /* Propagate the error, if any */
    cpl_ensure_code(!error, error);

    return CPL_ERROR_NONE;
}
/**@}*/
